Example Try it
Code language cURL Node.js Python C# Java PHP
Request
curl "https://api.parasend.com/v1/deliveries/dlv_01M6R27T05512SCV3852TPM2XY" \
-H "Authorization: Bearer $PARASEND_KEY" const res = await fetch('https://api.parasend.com/v1/deliveries/dlv_01M6R27T05512SCV3852TPM2XY' , {
method: 'GET' ,
headers: {
Authorization: `Bearer ${process.env.PARASEND_KEY}` ,
},
});
const data = await res.json();import os, requests
res = requests.get(
"https://api.parasend.com/v1/deliveries/dlv_01M6R27T05512SCV3852TPM2XY" ,
headers={
"Authorization" : f"Bearer {os.environ['PARASEND_KEY']}" ,
},
)
data = res.json()using var http = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.parasend.com/v1/deliveries/dlv_01M6R27T05512SCV3852TPM2XY" );
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer" , Environment.GetEnvironmentVariable("PARASEND_KEY" ));
var response = await http.SendAsync(request);
var body = await response.Content.ReadAsStringAsync();var request = HttpRequest.newBuilder(URI.create("https://api.parasend.com/v1/deliveries/dlv_01M6R27T05512SCV3852TPM2XY" ))
.header("Authorization" , "Bearer " + System.getenv("PARASEND_KEY" ))
.GET()
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());$client = new GuzzleHttp\Client();
$response = $client->request('GET' , 'https://api.parasend.com/v1/deliveries/dlv_01M6R27T05512SCV3852TPM2XY' , [
'headers' => [
'Authorization' => 'Bearer ' . getenv('PARASEND_KEY' ),
],
]);
$data = json_decode($response->getBody(), true );
Response · 200
{
"id" : "dlv_01M6R27T05512SCV3852TPM2XY" ,
"object" : "delivery" ,
"kind" : "documents" ,
"direction" : "outbound" ,
"content_type" : "files" ,
"status" : "notified" ,
"last_activity" : {
"at" : "2026-11-06T09:15:05.667Z" ,
"type" : "notified"
},
"title" : "Final notice: invoice 2026-114" ,
"message" : null ,
"language" : "en" ,
"certificate_language" : "is" ,
"recipient" : {
"name" : "Anna Björk Jónsdóttir" ,
"verified_name" : null ,
"verified_method" : null ,
"verification_photos" : [],
"email" : "anna.bjork@example.com" ,
"phone" : null ,
"address" : null ,
"verification_level" : "high" ,
"conditional_authentication" : false ,
"personal_code" : null ,
"id_document_number" : null
},
"files" : [
{
"file_id" : "fil_01M6R27SZK99V6N6WG4GK15T6R" ,
"path" : "test-notice.pdf" ,
"primary" : true
}
],
"batch_id" : null ,
"delivery_url" : null ,
"short_url" : "https://parasend.com/d/RM1RyXl0" ,
"evidence_policy" : "urn:parasend:policy:evidence:standard:1" ,
"sender_display" : "legal_person" ,
"operator_reference" : "OP-7K3Q-M2" ,
"recipient_ref" : "rcp_01M6R27T05ZNSRNMAW2CA8MTF6" ,
"private" : false ,
"options" : {
"auth_methods" : [
"audkenni" ,
"smart_id" ,
"passkey"
],
"reminder_policy" : null ,
"brand_profile_id" : null ,
"expires_in_days" : 30 ,
"sender_display" : "legal_person" ,
"notify_channels" : [
"email"
]
},
"legal_hold" : false ,
"deletion_scheduled_at" : null ,
"livemode" : false ,
"created" : "2026-11-06T09:15:05.604Z" ,
"expires_at" : "2026-12-06T09:15:05.603Z" ,
"metadata" : {
"case_ref" : "IN-2026-114"
},
"origin_request" : null ,
"reminder_waiting" : null ,
"email_waiting" : null ,
"follow_up" : {
"policy_id" : null ,
"policy_name" : null ,
"policy_source" : "none" ,
"state" : "done" ,
"reminders_sent" : 0 ,
"last_step" : null ,
"next_step" : null ,
"paused" : false
}
}